@use '../../../global/styles/breakpoint';
@use '../../../global/styles/shadow';
@use '../../../global/styles/border';

:host {
	--digi--card-box--padding--inline: var(--digi--responsive-grid-gutter--outer);
	--digi--card-box--padding--block: var(--digi--padding--largest);

	@include breakpoint.medium {
		--digi--card-box--padding--block: var(--digi--card-box--padding--inline);
	}

	@include breakpoint.below-medium {
		digi-layout-grid & {
			grid-column: 1/-1;
		}
	}

	.digi-card-box {
		box-shadow: shadow.$box;
		padding: var(--digi--card-box--padding--block) var(--digi--card-box--padding--inline);
		border-block-start: border.$box;
		border-radius: var(--digi--border-radius--primary);
		background: var(--digi--color--background--primary);

		@include breakpoint.below-medium {
			digi-layout-container & {
				border-radius: 0;

				&--width-regular {
					width: 100vw;
					margin-inline-start: calc(var(--digi--card-box--padding--inline) * -1);
				}
			}
		}

		&--gutter-none {
			--digi--card-box--padding--inline: 0;
			--digi--card-box--padding--block: 0;
		}

		&--width-full {
			// If we are in a container context, set max-width to the same as the container
			width: calc(100% + var(--digi--layout-container--gutter, 0) * 2);

			digi-layout-container & {
				margin-inline-start: calc(var(--digi--layout-container--gutter, 0) * -1);
			}
		}
	}
}
